<h1><center>项目案例</center></h1>

作者：行癫（盗版必究）

------

#### 项目一

​		某公司业务逻辑层Mysql数据库集群架构优化

项目描述：

​		根据公司业务需求需要对MySQL数据库进行主从复制实时备份，同时为了相应提升 MySQL数据库的读写性能， 决定采用 Mycat 中间件对 MySQL 数据库做读写分离。公司的数据库主库没有做高可用，如果数据库主库宕机那么会导致网站无法正常使用，从而影响业务和用户体验，最终决定使用MHA（mysql+keepalived）高可用方案来解决主库问题。

责任描述：

​		负责服务器的部署和环境初始化完成对服务的配置

​		高可用集群构建

​		集群环境测试，整理测试过程中的问题

​		编写自动化脚本，撰写技术文档等

#### 项目二

​		某公司业务自动化上线

项目描述：

​		随着公司业务的发展，项目更新迭代逐渐频繁，测试及生产环境代码上线频繁，为了提高开发效率，决定搭建企业级自动化系统CI/CD；实现测试环境和生产环境的持续集成和持续交付

项目职责：

​		制定项目实施方案

​		确定所需服务器的数量及配置

​		进行系统优化及搭建基础环境

​		构建CI/CD服务并进行配置

​		测试自动化部署系统

​		编写自动化脚本和技术文档

#### 项目三

​		架构升级构建日志分析系统EFK

项目描述：

​		随着公司规模不断扩大，业务日志数据不断增长，日志量大增、文本搜索缓慢、多维度查询，定位分析变得越来越困难，无法实时获取或展示业务的具体情况；为了更好的对日志进行分析和处理，公司决定上线EFK日F志分析系统；ELK是一套完整的日志收集、展示解决方案；通过Filebeat数据采集代理（Agent）将获取到的数据发给ES或者通过Logstash发给ES，然后进行后续的数据分析活动，用Kibana分析并展示。

项目职责：

​		参与系统的规划和实施，EFK简单、轻量、易扩展

​		通过ELK可分布式的收集，检索以及完美的展示功能，解决集群运维中海量日志的收集，监控、预警和分析的问题

​		测试服务的可用性，交付使用

​		总结实施文档、项目实施和维护手册 

#### 项目四

​		业务逻辑层架构升级Redis缓存服务器部署

项目描述：

​		由于业务逻辑层集群的数据访问量很多，直接访问后端Mysql服务器，导致数据库压力过大，访问速度很慢。为了缓解数据库的压力，加快访问速度。需要添加缓存服务器，对常用数据进行缓存，提高访问速度。而Redis支持的数据类型多，且支持数据持久化存储，是当前比较火的缓存服务器软件，所以决定采用Redis。

项目职责：

​		设计架构升级方案

​		构建redis高可用架构

​		集群可行性测试

​		上线生产环境并入业务逻辑层

​		编写自动化脚本及项目维护手册

#### 项目五

​		基于zabbix构建企业级监控平台

项目描述：

​		根据日常运维具体业务需求,完善公司运维体系，现需要对原有监控系统进行升级，实现部署zabbix监控系统平台；利用zabbix实现监控各种网络参数，保证服务器系统的安全运营，并提供灵活的通知机制以让系统管理员快速定位/解决存在的问题； 利用zabbix实现对远程服务器/网络状态的监视，数据收集等。

项目职责：

​		对现有监控进行总结，完善zabbix监控系统方案

​		构建zabbix监控高可用平台

​		规划监控指标，明确告警媒介

​		规划通知策略，并编写项目文档

#### 项目六

​		kubernetes云原生平台构建

项目描述：

​		随着公司的发展，使得业务逐渐的迁移Docker容器上，随着容器越来越多，为了更方便对应用进行管理，在非生产环境构建Kubernetes云原生集群，实现对Docker容器的管理，因设计到业务逻辑层业务调整，故需完成非生产环境的测试，确保业务逻辑层所有业务均可正常运行后，进行生产环境升级。

项目职责：

​		非生产环境构建kubernetes云原生集群

​		生产环境迁移方案定制

​		测试应用是否可在kubernetes集群运行

​		编写项目文档和自动化运维脚本


注意：

    Mysql
    Ansible
    Nginx
    LVS
    Keepalived
    Zabbix
    ELK
    Redis
    RabbitMQ
    Tomcat
    CI/CD
    Docker
    Kubernetes




